### Hierarchy

- OfferSearch

## Index

### Constructors

- constructor

### Properties

- createdAt
- events
- id
- info
- offerId
- owner
- searchRequestId
- state
- updatedAt

### Methods

- toJson
- fromJson

## Constructors

### constructor

- new OfferSearch(searchRequestId?: number, offerId?: number, events?: Array<string>): OfferSearch

- - Defined in repository/models/OfferSearch.ts:19

  #### Parameters

  - ##### Default value searchRequestId: number = 0

  - ##### Default value offerId: number = 0

  - ##### Default value events: Array<string> = new Array<string>()

  #### Returns OfferSearch

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/OfferSearch.ts:10

### events

events: Array<string>

- Defined in repository/models/OfferSearch.ts:9

### id

id: number = 0

- Defined in repository/models/OfferSearch.ts:3

### info

info: string

- Defined in repository/models/OfferSearch.ts:8

### offerId

offerId: number = 0

- Defined in repository/models/OfferSearch.ts:6

### owner

owner: string = "0x0"

- Defined in repository/models/OfferSearch.ts:4

### searchRequestId

searchRequestId: number = 0

- Defined in repository/models/OfferSearch.ts:5

### state

state: OfferResultAction = OfferResultAction.NONE

- Defined in repository/models/OfferSearch.ts:7

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/OfferSearch.ts:11

## Methods

### toJson

- toJson(): any

- - Defined in repository/models/OfferSearch.ts:34

  #### Returns any

### Static fromJson

- fromJson(json: any): OfferSearch

- - Defined in repository/models/OfferSearch.ts:13

  #### Parameters

  - ##### json: any

  #### Returns OfferSearch

Generated using TypeDoc